extends Control


func _ready():
	var stuff = yield($WeatherAPINode.get_current(), "completed")
	var out = JSON.print(stuff, "  ")
	$RichTextLabel.text = out
	var WC = str(stuff['current']['condition']['code'])
	print([WC])
	print(Constants.weather_codes)
	print(Constants.weather_codes.has(WC))
	print(Constants.WEATHER.keys()[Constants.code_to_weather(WC)])


